Build #6 for unscramble-1.0

[all reports]

Package unscramble-1.0
Install DependencyFailed stream-fusion-0.1.2.5
Docs NotTried
Tests NotTried
Time submitted 2016-12-19 04:55:19.693392 UTC
Compiler ghc-8.0.1.20161018
OS linux
Arch x86_64
Dependencies array-0.5.1.1, base-4.9.0.0, optparse-applicative-0.13.0.0, stream-fusion-0.1.2.5, unordered-containers-0.2.7.1
Flags none

Code Coverage

No Code Coverage was submitted for this report.

Build log

[view raw]

Resolving dependencies...
Configuring ansi-terminal-0.6.2.3...
Downloading stream-fusion-0.1.2.5...
Configuring transformers-compat-0.5.1.4...
Building ansi-terminal-0.6.2.3...
Building transformers-compat-0.5.1.4...
Configuring text-1.2.2.1...
Installed transformers-compat-0.5.1.4
Building text-1.2.2.1...
Installed ansi-terminal-0.6.2.3
Configuring stream-fusion-0.1.2.5...
Building stream-fusion-0.1.2.5...
Configuring ansi-wl-pprint-0.6.7.3...
Failed to install stream-fusion-0.1.2.5
Build log ( /home/builder/.cabal/logs/stream-fusion-0.1.2.5.log ):
cabal: Entering directory '/tmp/cabal-tmp-10449/stream-fusion-0.1.2.5'
Configuring stream-fusion-0.1.2.5...
Building stream-fusion-0.1.2.5...
Preprocessing library stream-fusion-0.1.2.5...
[1 of 3] Compiling Data.Stream      ( Data/Stream.hs, dist/build/Data/Stream.o )

Data/Stream.hs:325:3: warning: [-Wunused-top-binds]
    Defined but not used: ‘unlifted_dummy’

Data/Stream.hs:589:5: warning: [-Wincomplete-patterns]
    Pattern match(es) are non-exhaustive
    In an equation for ‘next’:
        Patterns not matched: ((_ :!: (Just (L _))) :!: S2)
[2 of 3] Compiling Data.List.Stream ( Data/List/Stream.hs, dist/build/Data/List/Stream.o )

Data/List/Stream.hs:235:1: warning: [-Wunused-imports]
    The import of ‘Int, seq’ from module ‘Prelude’ is redundant

Data/List/Stream.hs:1654:10: warning: [-Wtabs]
    Tab character found here.
    Please use spaces instead.

Data/List/Stream.hs:2429:1: warning: [-Winline-rule-shadowing]
    Rule "genericSplitAt -> fusible" may never fire
      because ‘genericSplitAt’ might inline first
    Probable fix: add an INLINE[n] or NOINLINE[n] pragma for ‘genericSplitAt’

Data/List/Stream.hs:2436:1: warning: [-Winline-rule-shadowing]
    Rule "genericSplitAt -> splitAt/Int" may never fire
      because ‘genericSplitAt’ might inline first
    Probable fix: add an INLINE[n] or NOINLINE[n] pragma for ‘genericSplitAt’

Data/List/Stream.hs:2447:1: warning: [-Winline-rule-shadowing]
    Rule "genericReplicate -> replicate/Int" may never fire
      because ‘genericReplicate’ might inline first
    Probable fix: add an INLINE[n] or NOINLINE[n] pragma for ‘genericReplicate’
[3 of 3] Compiling Control.Monad.Stream ( Control/Monad/Stream.hs, dist/build/Control/Monad/Stream.o )

Control/Monad/Stream.hs:136:10: error:
    Ambiguous occurrence ‘MonadPlus’
    It could refer to either ‘GHC.Base.MonadPlus’,
                             imported from ‘GHC.Base’ at Control/Monad/Stream.hs:80:1-15
                          or ‘Control.Monad.Stream.MonadPlus’,
                             defined at Control/Monad/Stream.hs:124:1

Control/Monad/Stream.hs:140:10: error:
    Ambiguous occurrence ‘MonadPlus’
    It could refer to either ‘GHC.Base.MonadPlus’,
                             imported from ‘GHC.Base’ at Control/Monad/Stream.hs:80:1-15
                          or ‘Control.Monad.Stream.MonadPlus’,
                             defined at Control/Monad/Stream.hs:124:1
cabal: Leaving directory '/tmp/cabal-tmp-10449/stream-fusion-0.1.2.5'
Building ansi-wl-pprint-0.6.7.3...
Installed ansi-wl-pprint-0.6.7.3
Configuring optparse-applicative-0.13.0.0...
Building optparse-applicative-0.13.0.0...
Installed optparse-applicative-0.13.0.0
Installed text-1.2.2.1
Configuring hashable-1.2.4.0...
Building hashable-1.2.4.0...
Installed hashable-1.2.4.0
Configuring unordered-containers-0.2.7.1...
Building unordered-containers-0.2.7.1...
Installed unordered-containers-0.2.7.1
cabal: Error: some packages failed to install:
stream-fusion-0.1.2.5 failed during the building phase. The exception was:
ExitFailure 1
unscramble-1.0 depends on stream-fusion-0.1.2.5 which failed to install.